Imports System
Imports System.IO

Module Example

    Sub Main()

        Dim document As Siberix.Sparkle.PDF.Document = New Siberix.Sparkle.PDF.Document()

        document.Info.Title = "Example"
        document.Info.Author = "Siberix Technologies, Canada"
        document.Info.Creator = "Siberix PDF Sparkle for .NET"

        Dim page As Siberix.Sparkle.PDF.IPage = document.AddPage(612, 792)

        ' Rectangle
        page.Graphics.Pen = New Siberix.Sparkle.Graphics.Pen(Siberix.Sparkle.Graphics.Colors.Red, 5)
        page.Graphics.Brush = New Siberix.Sparkle.Graphics.SolidColorBrush(New Siberix.Sparkle.Graphics.Color(255, 240, 240))
        page.Graphics.DrawRectangle(50, 50, 150, 100, Siberix.Sparkle.Graphics.PaintMode.FillStroke)

        ' Line
        page.Graphics.Pen = New Siberix.Sparkle.Graphics.Pen(Siberix.Sparkle.Graphics.Colors.Green, 5)
        page.Graphics.DrawLine(220, 50, 320, 150)

        ' Ellipse
        page.Graphics.Pen = New Siberix.Sparkle.Graphics.Pen(Siberix.Sparkle.Graphics.Colors.Blue, 5)
        page.Graphics.Brush = New Siberix.Sparkle.Graphics.SolidColorBrush(New Siberix.Sparkle.Graphics.Color(240, 240, 255))
        page.Graphics.DrawEllipse(340, 50, 150, 100, Siberix.Sparkle.Graphics.PaintMode.FillStroke)

        ' Path
        page.Graphics.Pen = New Siberix.Sparkle.Graphics.Pen(Siberix.Sparkle.Graphics.Colors.DarkBlue, 5, Siberix.Sparkle.Graphics.DashStyle.DashDot)
        page.Graphics.Brush = New Siberix.Sparkle.Graphics.LinearGradientBrush(Siberix.Sparkle.Graphics.Colors.Yellow, Siberix.Sparkle.Graphics.Colors.Green, 45.0F)

        page.Graphics.StartShape(Siberix.Sparkle.Graphics.PaintMode.FillStroke)
        page.Graphics.FillRectangle(120, 200, 200, 200)
        page.Graphics.DrawEllipse(220, 250, 200, 200)
        page.Graphics.EndShape()

        document.Generate("Shapes.pdf")

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("Shapes.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
